> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.kiwiform.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.kiwiform.com/_mcp/server.

# Get Form Fields

GET https://app.kiwiform.com/api/integrations/make/fields

##### Retrieve dynamic field structures (input questions/variables) for a specific form so that Make can map these fields correctly in subsequent modules.

### Query Parameters

- **formId** (string, Required): The unique ID of the form to fetch fields for.
    

### Headers

- **Authorization** (string, Required): Bearer YOUR_MAKE_API_KEY

Reference: https://developers.kiwiform.com/kiwiform-api/kiwiform-make-api/get-form-fields

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Kiwiform API
  version: 1.0.0
paths:
  /api/integrations/make/fields:
    get:
      operationId: get-form-fields
      summary: Get Form Fields
      description: >-
        ##### Retrieve dynamic field structures (input questions/variables) for
        a specific form so that Make can map these fields correctly in
        subsequent modules.


        ### Query Parameters


        - **formId** (string, Required): The unique ID of the form to fetch
        fields for.
            

        ### Headers


        - **Authorization** (string, Required): Bearer YOUR_MAKE_API_KEY
      tags:
        - subpackage_kiwiformMakeApi
      parameters:
        - name: formId
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/ApiIntegrationsMakeFieldsGetResponsesContentApplicationJsonSchemaItems
servers:
  - url: https://app.kiwiform.com
    description: https://app.kiwiform.com
components:
  schemas:
    ApiIntegrationsMakeFieldsGetResponsesContentApplicationJsonSchemaItems:
      type: object
      properties:
        name:
          type: string
        type:
          type: string
        label:
          type: string
        sample:
          type: string
          format: email
      required:
        - name
        - type
        - label
        - sample
      title: ApiIntegrationsMakeFieldsGetResponsesContentApplicationJsonSchemaItems

```

## Examples



**Response**

```json
[
  {
    "name": "email_address",
    "type": "text",
    "label": "Email Address",
    "sample": "john@example.com"
  },
  {
    "name": "phone_number",
    "type": "text",
    "label": "Phone Number",
    "sample": "+1-555-0199"
  }
]
```

**SDK Code**

```python Kiwiform Make API_Get Form Fields_example
import requests

url = "https://app.kiwiform.com/api/integrations/make/fields"

querystring = {"formId":"{{YOUR_FORM_ID}}"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript Kiwiform Make API_Get Form Fields_example
const url = 'https://app.kiwiform.com/api/integrations/make/fields?formId=%7B%7BYOUR_FORM_ID%7D%7D';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Kiwiform Make API_Get Form Fields_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.kiwiform.com/api/integrations/make/fields?formId=%7B%7BYOUR_FORM_ID%7D%7D"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Kiwiform Make API_Get Form Fields_example
require 'uri'
require 'net/http'

url = URI("https://app.kiwiform.com/api/integrations/make/fields?formId=%7B%7BYOUR_FORM_ID%7D%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java Kiwiform Make API_Get Form Fields_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.kiwiform.com/api/integrations/make/fields?formId=%7B%7BYOUR_FORM_ID%7D%7D")
  .asString();
```

```php Kiwiform Make API_Get Form Fields_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.kiwiform.com/api/integrations/make/fields?formId=%7B%7BYOUR_FORM_ID%7D%7D');

echo $response->getBody();
```

```csharp Kiwiform Make API_Get Form Fields_example
using RestSharp;

var client = new RestClient("https://app.kiwiform.com/api/integrations/make/fields?formId=%7B%7BYOUR_FORM_ID%7D%7D");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift Kiwiform Make API_Get Form Fields_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://app.kiwiform.com/api/integrations/make/fields?formId=%7B%7BYOUR_FORM_ID%7D%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```